v1.0.0
OpenAPI 3.1.0

Get a one-time send variant

US region

Client Libraries

Get a one-time send variant

Returns information about a specific variant of a one-time send (referred to as a "newsletter" in our APIs), where a variant is either a language in a multi-language one-time send or a part of an A/B test.

Path Parameters
  • newsletter_id
    Type: integer
    required

    The identifier of a one-time send.

  • content_id
    Type: integer
    required

    The identifier of a message in a one-time send. If your one-time send has an A/B test group or includes multiple languages, each variant has its own content_id, separate from the newsletter_id.

    Use List variants of a one-time send to find the content_id associated with the right variant.

Responses
  • application/json
  • 404

    The one-time send or variant does not exist.

  • application/json
Request Example for get/v1/newsletters/{newsletter_id}/contents/{content_id}
curl https://api.customer.io/v1/newsletters/1/contents/1 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "content": {
    "bcc": "string",
    "body": "<strong>Hello from the API</strong>",
    "body_amp": "string",
    "cc": "string",
    "deduplicate_id": "15:1492548073",
    "fake_bcc": true,
    "from": "sentFrom@example.com",
    "from_id": 1,
    "headers": "[{\"name\":\"X-Mailgun-Tag\",\"value\":\"my-cool-tag\"},{\"name\":\"X-Custom-Header\",\"value\":\"custom-value\"}]",
    "id": 1,
    "language": "fr",
    "layout": "<html><body>{{ content }}</body></html>",
    "name": "one-time send variant A",
    "newsletter_id": 10,
    "preheader_text": "string",
    "preprocessor": "premailer",
    "recipient": "{{customer.email}}",
    "reply_to": "replyto@example.com",
    "reply_to_id": 38,
    "subject": "Did you get that thing I sent you?",
    "type": "email"
  }
}